Server
/api/v1/
https://covid-qa.adara.com/api/v1/
https://covid-prod.adara.com/api/v1/
https://virtserver.swaggerhub.com/adara/covid-service/1.0.0

SwaggerHub API Auto Mocking

Server Variables

get news articles

Auth
Query String
user_codestring
trip_idstring
GET /news
Responses
200

User news

objectobject
activeboolean
response5 fieldsarray[object]
Response

get user score

Auth
Query String
user_codestring
trip_idstring
GET /scores
Responses
200

User score available

objectobject
activeboolean
response5 fieldsobject
425

User score not available yet

Response

get list of locations

Auth
Query String
location_typestring

Enum: airport,city

sstring
GET /locations
Responses
200

List of locations

objectobject
activeboolean
response6 fieldsarray[object]
Response

add user

Auth
Request Body
objectobject
emailstring

pattern: ^([\D-]+(\w)*)+((\.(\w)+)?)+@(\D)+(\w)*((\.(\D)+(\w)*)+)?(\.)[a-z]{2,}$

POST /signup
Responses
204

User Signed up

No response body
400

Bad Request

Response

add user

Auth
Request Body
objectobject
emailstring

pattern: ^([\D-]+(\w)*)+((\.(\w)+)?)+@(\D)+(\w)*((\.(\D)+(\w)*)+)?(\.)[a-z]{2,}$

passcodestring
POST /validate
Responses
200

User Signed up

objectobject
activeboolean
responseobject
user_codestring
403

Bad Request

Response

support user optout

Auth
Request Body
objectobject
emailstring

pattern: ^([\D-]+(\w)*)+((\.(\w)+)?)+@(\D)+(\w)*((\.(\D)+(\w)*)+)?(\.)[a-z]{2,}$

POST /optout
Responses
204

User opted out

No response body
Response

get user trips

Auth
Query String
user_codestring
trip_idstring
GET /trips
Responses
200

user trips

objectobject
activeboolean
response8 fieldsarray[object]
Response

send trip list and get user scores

Auth
Request Body
objectobject
user_codestring
trips8 fieldsarray[object]
POST /trips
Responses
200

Trips added to profile

objectobject
activeboolean
responsearray
Response